<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:91cb0f49-f811-493b-989c-f76c6482c743,g:7f29d403-08d5-48c9-ae1c-1c70453c9d79-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/all" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#all"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/hypercube-dimension" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#hypercube-dimension"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-default" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-default"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-domain" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-domain"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/domain-member" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#domain-member"/>
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#PvpAdjustmentsOnly"/>
  <link:definitionLink xlink:role="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ecd_AllAdjToCompMember" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#ecd_AllAdjToCompMember"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember_1807c402-bc81-4350-9306-aef5c487c4fa" xlink:href="tnl-20240322.xsd#tnl_DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_DeductionForAmountsReportedUnderTheStockAwardsAndOptionAwardsColumnsInTheSCTMember_1807c402-bc81-4350-9306-aef5c487c4fa" xlink:type="arc" order="1"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember_d0598c44-0db1-4297-8c4e-ee89678df77d" xlink:href="tnl-20240322.xsd#tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatRemainedUnvestedAtYearEndMember_d0598c44-0db1-4297-8c4e-ee89678df77d" xlink:type="arc" order="2"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember_2b362746-7668-4a7a-bbee-17e1a8a48135" xlink:href="tnl-20240322.xsd#tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToCurrentYearEndOfAwardsGrantedInAnyPriorYearThatRemainedOutstandingAndUnvestedAsOfYearEndMember_2b362746-7668-4a7a-bbee-17e1a8a48135" xlink:type="arc" order="3"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember_1e2e13ca-cad5-4af6-8954-e780d3007ec5" xlink:href="tnl-20240322.xsd#tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_IncreasedeductionForChangeInFairValueFromPriorYearEndToVestingDateOfAwardsGrantedInAnyPriorYearThatVestedDuringTheYearMember_1e2e13ca-cad5-4af6-8954-e780d3007ec5" xlink:type="arc" order="4"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember_29ed6924-315b-4f7e-aa73-f3b67831f91f" xlink:href="tnl-20240322.xsd#tnl_IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_IncreaseForDividendsPaidAccruedDuringTheYearPriorToVestingDateMember_29ed6924-315b-4f7e-aa73-f3b67831f91f" xlink:type="arc" order="5"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember_4d718d83-5109-4b09-90db-69b8de84d8ae" xlink:href="tnl-20240322.xsd#tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_IncreaseForFairValueOfAwardsGrantedDuringYearThatThatVestedDuringYearMember_4d718d83-5109-4b09-90db-69b8de84d8ae" xlink:type="arc" order="6"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember_60fc6ac8-48a0-4a3d-8027-c9d51555848b" xlink:href="tnl-20240322.xsd#tnl_DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_tnl_DeductionForPriorYearFairValueOfAwardsForfeitedDuringTheYearMember_60fc6ac8-48a0-4a3d-8027-c9d51555848b" xlink:type="arc" order="7"/>
  </link:definitionLink>
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/IndividualsOnly" xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#IndividualsOnly"/>
  <link:definitionLink xlink:role="http://xbrl.sec.gov/ecd/role/IndividualsOnly" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ecd_AllIndividualsMember" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#ecd_AllIndividualsMember"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_NoahBrodskyMember_c9d06787-3b10-430f-aae6-e234a550d272" xlink:href="tnl-20240322.xsd#tnl_NoahBrodskyMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllIndividualsMember" xlink:to="loc_tnl_NoahBrodskyMember_c9d06787-3b10-430f-aae6-e234a550d272" xlink:type="arc" order="2"/>
    <link:loc xlink:type="locator" xlink:label="loc_tnl_BradDettmerMember_75f111f7-ff09-4068-be94-118d4c813191" xlink:href="tnl-20240322.xsd#tnl_BradDettmerMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllIndividualsMember" xlink:to="loc_tnl_BradDettmerMember_75f111f7-ff09-4068-be94-118d4c813191" xlink:type="arc" order="3"/>
  </link:definitionLink>
</link:linkbase>
